package com.yiqi.app.service;

import com.yiqi.common.core.domain.AuthInfoDO;

import javax.servlet.http.HttpServletRequest;

/**
 * @author xiaohei
 * @date 2023/10/3
 */
public interface IWeAppTokenService {
    public AuthInfoDO getLoginUser(HttpServletRequest request);

    public void setLoginUser(AuthInfoDO loginUser);

    public String getToken(HttpServletRequest request);

    public void delLoginUser(String token);

    public String createToken(AuthInfoDO loginUser);

    public void verifyToken(AuthInfoDO loginUser);

    public void refreshToken(AuthInfoDO loginUser);

    public void setUserAgent(AuthInfoDO loginUser);

    public String getUsernameFromToken(String token);
}
